John E. Davis MOST Buffer Overflow Vulnerability

MOST is an open source paging program that is written and maintained by John E. Davis.

An exploitable buffer overflow exists in MOST. This is due to improper bounds checking of certain variables. It is possible for a remote or a local attacker to create a file which, when viewed by MOST, will cause arbitrary code to executed on the host. This is accomplished by using a malicious file to overwrite stack variables(including the return address). Arbitrary code will be executed as the UID of of the user running MOST.

Successful exploitation could allow a remote attacker to gain local access to a host or allow a local attacker to gain elevated privileges.


 

Privacy Statement
Copyright 2010, SecurityFocus